Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Interface TestLogger

All Known Implementing Classes:
  DefaultTestLogger

public interface TestLogger

Method Summary
`void` | `categoryStarted(java.lang.String name)`
`void` | `complete()`
`void` | `error(java.lang.Exception e)`
`void` | `error(int status, java.lang.String message)`
`java.lang.String` | `getCurrentCategory()`
`java.lang.String` | `getCurrentTest()`
`java.lang.Exception` | `getException()`
`java.lang.String` | `getMessages()`
`long` | `getSimulationTime()`
`int` | `getStatus()`
`void` | `simulationCompleted()`
`void` | `simulationStarted()`
`void` | `testCompleted()`
`void` | `testStarted(java.lang.String name)`
`void` | `warn(java.lang.String message)`

Method Detail

### getCurrentCategory

    public java.lang.String getCurrentCategory()

### getCurrentTest

    public java.lang.String getCurrentTest()

### categoryStarted

    public void categoryStarted(java.lang.String name)

### testStarted

    public void testStarted(java.lang.String name)

### testCompleted

    public void testCompleted()

### warn

    public void warn(java.lang.String message)

### error

    public void error(java.lang.Exception e)

### error

    public void error(int status,
                      java.lang.String message)

### getStatus

    public int getStatus()

### getMessages

    public java.lang.String getMessages()

### getException

    public java.lang.Exception getException()

### simulationStarted

    public void simulationStarted()

### simulationCompleted

    public void simulationCompleted()

### getSimulationTime

    public long getSimulationTime()

### complete

    public void complete()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.